gpg: Make rfc4880bis the default.
authorWerner Koch <wk@gnupg.org>
Thu, 14 Mar 2019 10:23:56 +0000 (11:23 +0100)
committerWerner Koch <wk@gnupg.org>
Thu, 14 Mar 2019 10:26:54 +0000 (11:26 +0100)
commitcaf4b3fc16e97eb175c46f45f5770d02becb862d
tree9c7c3b4da9a154fbb90df4740f3ee08b03a5f47c
parent01c87d4ce23bc9fc44ec5301c2c6bf2ce615c375
gpg: Make rfc4880bis the default.

* g10/gpg.c (set_compliance_option, main): Change CO_GNUPG to include
rfc4880bis features.
(main): Change rfc4880bis warning to a note.
--

Note that the default is CO_GNUPG and not CO_OPENPGP.  CO_OPENPGP does
not include rfc4880bis yet and has a couple of things we don't like,
like --allow-non-selfsigned-uids.

Signed-off-by: Werner Koch <wk@gnupg.org>
g10/gpg.c